Friday, September 23, 2011

Simplifying TIN Surface Editing.

The Problem
Editing TIN surface information can be a pain. To make any small change, we end up going to Toolspace, then surface, the surface, definition, right click on edit, lastly select the tool we need. By the time I get to the tool, I forgot what I was doing.

clip_image002


The Fix
Use a LISP file to launch each command. This will keep you from the number of clicks it takes to edit the TIN surface.


Creating LISP File

  1. Open Notepad in windows.
  2. Save a blank text file.
  3. Copy and paste the text below.
  4. Save
  5. Right click on the file in Windows Explorer and Rename.
  6. Change the extension from .txt to .lsp


(defun c:sal ()
(command "addsurfaceline")
(princ)
)
(defun c:sdl ()
(command "deletesurfaceline")
(princ)
)
(defun c:swe ()
(command "editsurfaceswapedge")
(princ)
)
(defun c:sap ()
(command "addsurfacepoint")
(princ)
)
(defun c:sdp ()
(command "deletesurfacepoint")
(princ)
)
(defun c:sep ()
(command "editsurfacepoint")
(princ)
)
(defun c:smp ()
(command "movesurfacepoint")
(princ)
)


LISP Commands
SAL = Add Surface Line
SDL = Delete Surface Line
SWE = Swap Edge
SAP = Add Surface Point
SDP = Delete Surface Point
SEP = Edit Surface Point
SMP = Move Surface Point

Loading LISP File
Load Application command
Ribbon > Manage > Applications > Load Application or command: _appload

clip_image004

Once the Load/Unload Application pop up box shows up, follow the steps to load the LISP file.

  • A. Find location of the LISP file.
  • B. Select Load
  • C. Confirm the file was loaded
  • D. Close
  • E. If you need the file to load every time Civil 3D is opened, you can use Startup Suite to auto load the file.

clip_image006

Enjoy!

Wednesday, September 14, 2011

Creating A Block Without Creating a Drawing File.

Today, we are going to talk about how to make a block without creating another drawing to add to the random crap on your hard drive or server. You can copy multiple objects using groups but the bad part of using groups is the editing. Once the block is created, you can copy and edit it using block editor to change all the objects at once.

1. Copy with Base Point command
Right click > Clipboard > Copy with Base Point.

image













2. Select Base Point.
3. Select objects to make into a block
4. Paste as Block command
Right Click > Clipboard > Paste as Block
Here is the tricky part; if the Paste as Block command in the right click menu is shaded back, then you will need to select an object (any object) in your drawing before using the Paste as Block command.

image
image

The objects are now in a block which makes it easy for copying and editing.

image

Enjoy!